package kr.co.zumo.app.lifeplus.bean.api;

import org.junit.Test;

import static org.junit.Assert.*;

/**
 * PolicyVersionBeanTest
 * <pre>
 * </pre>
 *
 * @author 민효동
 * @version 1.0
 * @history 민효동   [2018. 10. 5.]   [최초 작성]
 * @since 2018. 10. 5.
 */
public class PolicyVersionBeanTest {

  @Test
  public void constructor() {
    PolicyVersionBean bean = new PolicyVersionBean(1, 1);
    assertEquals(1, bean.getType());
    assertEquals(1, bean.getVersion());
  }

  @Test
  public void setType() {
    PolicyVersionBean bean = new PolicyVersionBean(1, 1);
    bean.setType(2);
    assertEquals(2, bean.getType());
    assertEquals(1, bean.getVersion());
  }

  @Test
  public void setVersion() {
    PolicyVersionBean bean = new PolicyVersionBean(1, 1);
    bean.setVersion(2);
    assertEquals(1, bean.getType());
    assertEquals(2, bean.getVersion());
  }
}